body {
    font-family: Arial;
    font-size: 13px;
    -ms-overflow-style: scrollbar;
}

#viewContainer>div {
    margin-top: 51px;
}

#viewContainer #maintenanceInfo{
    text-align: center;
    padding-top:15px;
}

#myGrid .ag-cell {
    white-space: normal;
    text-overflow: unset;
    line-height: 18px;
    padding-left: 4px;
    padding-right: 4px;
    word-wrap: break-word;
    border-right: 1px solid #ccc;
    border-top: 1px solid #ccc;
    font-family: 'Roboto', sans-serif;
}

#myGrid .ag-cell-focus {
    outline: none;
    border-bottom-color: transparent;
    border-left-color: transparent;
}

#myGrid div.customHeader {
    overflow: hidden;
    text-overflow: ellipsis;
}

#myGrid div.ag-cell {
    -webkit-user-select: text;
    -moz-user-select: text;
    -ms-user-select: text;
    user-select: text;
}

#myGrid div.highlight {
    background-color: #ddd;
}

#myGrid div.ag-body-container {
    border-bottom: 1px solid #bbb;
}

#myGrid .ag-row {
    border: none;
    background-color: transparent;
}

#myGrid .ag-row-hover {
    background-color: transparent;
}

#myGrid .ag-header-cell,
#myGrid .ag-header-group-cell {
    background-color: #0044CC;
    color: white;
}

#myGrid .ag-header-cell-resize::after {
    height: 100%;
    margin-top: 0;
}

#myGrid .headerCell-Orange {
    background-color: #F89406;
}

#myGrid .headerCell-Red {
    background-color: #BD362F;
}

#myGrid .headerCell-Green {
    background-color: #51A351;
}

#myGrid .headerCell-Blue {
    background-color: #0088CC;
}

#myGrid .headerCell-Yellow {
    background-color: #EDC951;
}

#searchButton {
    font-size: 25px;
    margin-top: -10px;
}

.center {
    text-align: left;
}

#loginContainer1 {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

#loginContainer2 {
    position: relative;
    width: 40%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.windows8 {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

#fatTable div.input-group,
#fatTable span.input-group-btn select {
    width: 100%;
}

#fatTable span.input-group-btn select {
    min-width: 80px;
}

#fatTable .input-group-addon {
    width: 110px;
}

#fat-report-table.loadingMore {
    background-color: #eee;
}

#loadingMoreInfo {
    position: fixed;
    bottom: 0;
    left: 50%;
    width: 500px;
    margin-left: -250px;
    background-color: rgba(255,255,255,0.5);
    border: 1px solid #bbb;
    font-size: 30px;
    padding: 5px;
    text-align: center;
    color: rgba(0,0,0,0.5);
}

body.blockScroll {
    overflow-y: hidden;
}

div.vectorCheckboxContainer label {
    font-weight: normal;
}

div.vectorCheckboxContainer input {
    vertical-align: -1px;
    margin-right: 1px;
}

#services ul {
    padding: 0;
}

#services ul ul {
    padding-left: 20px;
}

#services ul li {
    list-style: none;
}

@media print {
    a [href]:after {
        content: none;
    }

    #appHeader, #fatTable {
        display: none;
    }
}


/* Chrome, Safari, Opera */
@-webkit-keyframes moveContentHide1200 {
    100% {
        margin-top: 51px;
    }
}
/* Standard syntax */
@keyframes moveContentHide1200 {
    100% {
        margin-top: 51px;
    }
}


/* Chrome, Safari, Opera */
@-webkit-keyframes moveContentHide992 {
    100% {
        margin-top: 51px;
    }
}
/* Standard syntax */
@keyframes moveContentHide992 {
    100% {
        margin-top: 51px;
    }
}

/* Chrome, Safari, Opera */
@-webkit-keyframes moveContentHide768 {
    100% {
        margin-top: 51px;
    }
}
/* Standard syntax */
@keyframes moveContentHide768 {
    100% {
        margin-top: 51px;
    }
}

/* Chrome, Safari, Opera */
@-webkit-keyframes moveContentHide {
    100% {
        margin-top: 169px;
    }
}
/* Standard syntax */
@keyframes moveContentHide {
    100% {
        margin-top: 169px;
    }
}

@media(min-width:1200px) {
    .collapsingAnimationShow {
        -webkit-animation-name: moveContentShow1200;
        -webkit-animation-duration: 0.34s;
        animation-name: moveContentShow1200;
        animation-duration: 0.34s;
        animation-fill-mode: forwards;
        -webkit-animation-fill-mode: forwards;
    }

    .collapsingAnimationHide {
        -webkit-animation-name: moveContentHide1200;
        -webkit-animation-duration: 0.34s;
        animation-name: moveContentHide1200;
        animation-duration: 0.34s;
        animation-fill-mode: forwards;
        -webkit-animation-fill-mode: forwards;
    }
}

@media(min-width:992px) and (max-width: 1199px) {
    .collapsingAnimationShow {
        -webkit-animation-name: moveContentShow992;
        -webkit-animation-duration: 0.34s;
        animation-name: moveContentShow992;
        animation-duration: 0.34s;
        animation-fill-mode: forwards;
        -webkit-animation-fill-mode: forwards;
    }


    .collapsingAnimationHide {
        -webkit-animation-name: moveContentHide992;
        -webkit-animation-duration: 0.34s;
        animation-name: moveContentHide992;
        animation-duration: 0.34s;
        animation-fill-mode: forwards;
        -webkit-animation-fill-mode: forwards;
    }
}

@media(min-width:768px) and (max-width: 991px) {
    .collapsingAnimationShow {
        -webkit-animation-name: moveContentShow768;
        -webkit-animation-duration: 0.34s;
        animation-name: moveContentShow768;
        animation-duration: 0.34s;
        animation-fill-mode: forwards;
        -webkit-animation-fill-mode: forwards;
    }

    .collapsingAnimationHide {
        -webkit-animation-name: moveContentHide768;
        -webkit-animation-duration: 0.34s;
        animation-name: moveContentHide768;
        animation-duration: 0.34s;
        animation-fill-mode: forwards;
        -webkit-animation-fill-mode: forwards;
    }
}

@media(max-width:767px) {
    .collapsingAnimationShow {
        -webkit-animation-name: moveContentShow;
        -webkit-animation-duration: 0.35s;
        animation-name: moveContentShow;
        animation-duration: 0.35s;
        animation-fill-mode: forwards;
        -webkit-animation-fill-mode: forwards;
    }

    .collapsingAnimationHide {
        -webkit-animation-name: moveContentHide;
        -webkit-animation-duration: 0.35s;
        animation-name: moveContentHide;
        animation-duration: 0.35s;
        animation-fill-mode: forwards;
        -webkit-animation-fill-mode: forwards;
    }
}


.highlightSearch {
    background-color: deepskyblue;
    color: white;
}

#searchResetButtonsContainer button,
#vectorsButton {
    display: inline-block;
    margin-left: 8px;
}

#vectorsButton,
#servicesButton {
    width: 95px;
}


#searchResetButtonsContainer {
    padding-left: 0;
    padding-right: 5px;
}

@media(max-width: 1199px) {
    #searchResetButtonsContainer {
        padding-left: 15px;
    }

    #searchResetButtonsContainer button {
        float: none;
        margin-top: 10px;
    }

    #servicesVectorsButtonsContainer {
        margin-top: 15px;
    }
    
}


#fat-report-table td.isTopDotted {
    border-top-style: dashed;
}

#fat-report-table td.isBottomDotted {
    border-bottom-style: dashed;
}

div.decorated {
    border: 3px solid #90EE90;
}


input.ng-invalid {
    border-color: red;
}
